#

## initialize

Initialization of magic from the Tcl interpreter.

### Usage:

> initialize [arguments]

> > where arguments is the list of arguments passed to magic on the UNIX command-line.

### Summary:

> The initialize command is part of the procedure for starting magic from inside the Tcl interpreter. It is not a user command. Other Tcl-based packages that wish to use magic directly should follow this procedure:
> - Load the `tclmagic.so` object file.
> - Call initialize with arguments passed to magic on the command line.
> - Call startup

### Implementation Notes:

> initialize is implemented as a built-in command in magic, but only in the Tcl version.

### See Also:

> startup

Return to command index

Last updated: March 7, 2020 at 1:06pm